Subject: Re: [dns-privacy] DPRIVE over UDP or TCP

From: Paul Hoffman <[email-masked]>
Date: Fri, 1 May 2015 10:04:55 -0700

On Apr 30, 2015, at 9:21 PM, Watson Ladd <[email-masked]> wrote:
>>> If the anycast changes then you are going to have to timeout and resume.
>> 
>> This is also true for HTTP. I still don't see why DNS needs more routing
>> stability than HTTP.
> 
> DNS doesn't. But proposals like DNS over TLS rely on extremely long
> lived connections.

I'm still confused about this. Why does the connection need to be "extremely long lived" for stub-to-resolver? From everything that I have heard in TLS over the years, if you have to tear down and re-establish the connection, it goes quite quickly. Is there research that shows differently?

--Paul Hoffman